Package com.google.android.exoplayer2.upstream.cache

## Class CacheDataSinkFactory

- java.lang.Object
- - com.google.android.exoplayer2.upstream.cache.CacheDataSinkFactory

- All Implemented Interfaces:
    `DataSink.Factory`

      @Deprecated
      public final class CacheDataSinkFactory
      extends Object
      implements DataSink.Factory

  Deprecated.
  Use `CacheDataSink.Factory`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CacheDataSinkFactory​(Cache cache, long fragmentSize)` | Deprecated.
    `CacheDataSinkFactory​(Cache cache, long fragmentSize, int bufferSize)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataSink` | `createDataSink()` | Deprecated. Creates a `DataSink` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheDataSinkFactory

          public CacheDataSinkFactory​(Cache cache,
                                      long fragmentSize)

      Deprecated.
      See Also:
        `CacheDataSink(Cache, long)`

    - #### CacheDataSinkFactory

          public CacheDataSinkFactory​(Cache cache,
                                      long fragmentSize,
                                      int bufferSize)

      Deprecated.
      See Also:
        `CacheDataSink(Cache, long, int)`

  - ### Method Detail

    - #### createDataSink

          public DataSink createDataSink()

      Deprecated.
      Description copied from interface: `DataSink.Factory`
      Creates a `DataSink` instance.
      Specified by:
        `createDataSink` in interface `DataSink.Factory`